%global with_debug 1

%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0

Summary: OCI container runtime monitor
Name: conmon
Version: 2.1.10
Release: 2%{?dist}
License: ASL 2.0
URL: https://github.com/containers/conmon
Source0: https://github.com/containers/conmon/archive/v%{version}.tar.gz #/%{name}-%{version}.tar.gz

BuildRequires: go-md2man gcc make
BuildRequires: git-core glib2
BuildRequires: libseccomp-devel glib2-devel
BuildRequires: systemd-libs systemd-devel

Requires: systemd-libs
Requires: libseccomp

%description
This package provides OCI container runtime monitor.

%prep
%autosetup -Sgit %{name}-%{version}
sed -i 's/install.bin: bin\/conmon/install.bin:/' Makefile
sed -i 's/install.crio: bin\/conmon/install.crio:/' Makefile

%build
make DEBUGFLAG="-g" bin/conmon
make GOMD2MAN=go-md2man -C docs

%install
make PREFIX=%{buildroot}%{_prefix} install.bin install.crio
make PREFIX=%{buildroot}%{_prefix} -C docs install


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/crio/%{name}
%dir %{_libexecdir}/crio
%{_mandir}/man8/%{name}.8.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.10-2
- Rebuilt for loongarch release

* Fri Mar 15 2024 jackeyji <jackeyji@tencent.com> - 2.1.10-1
- Upgrade to 2.1.10 to adapt moby

* Fri Dec 29 2023 jackeyji <jackeyji@tencent.com> - 2.1.7-3
- Rebuilt for golang CVE-2023-39318 and CVE-2023-39319

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.7-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 2.1.7-1
- Upgrade to 2.1.7 and fix Source0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 07 2023 Yi Lin <nilusyi@tencent.com> - 2.1.5-1
- package init.
